# importing the required module
import matplotlib.pyplot as plt
import pandas as pd
import seaborn as sns

# our datasets:
metro_areas = ["New York–Newark–Jersey City, NY-NJ MSA",\
               "Los Angeles–Long Beach–Anaheim, CA MSA",\
               "Chicago–Naperville–Elgin, IL-IN MSA",\
               "Dallas–Fort Worth–Arlington, TX MSA",\
               "Houston–Pasadena–The Woodlands, TX MSA",\
               "Atlanta–Sandy Springs–Roswell, GA MSA",\
               "Washington–Arlington–Alexandria, DC-VA-MD-WV MSA",\
               "Philadelphia–Camden–Wilmington, PA-NJ-DE-MD MSA",\
               "Miami–Fort Lauderdale–West Palm Beach, FL MSA",\
               "Phoenix–Mesa–Chandler, AZ MSA"]
populations = [19498249, 12799100, 9262825, 8100037, 7510253,\
               6307261, 6304975, 6246160, 6183199, 5070110]

zipped = list(zip(metro_areas, populations))
df = pd.DataFrame(zipped, columns=['MSA', 'Population'])

# make our graph
# https://www.geeksforgeeks.org/plotting-graph-using-seaborn-python/
chart = sns.barplot(x = 'MSA', y = 'Population', data = df)
chart.set_xticklabels(chart.get_xticklabels(), rotation=45, horizontalalignment='right')
plt.title("Metropolitan statistical areas by population (2023 estimate)")

plt.show()

