# importing the required module
import matplotlib.pyplot as plt
import pandas as pd
import seaborn as sns

# our datasets:
df = pd.read_html('https://en.wikipedia.org/wiki/Metropolitan_statistical_area')[1]

# In Jupyter, this will show us the dataset:
#df

print(df.columns)

# rename the columns:
df = df.rename(columns={'Metropolitan statistical area': 'Metropolitan_Statistical_Area'})
df = df.rename(columns={'2023 estimate': '2023_Estimate'})

# make our graph
# https://www.geeksforgeeks.org/plotting-graph-using-seaborn-python/
chart = sns.barplot(x = 'Metropolitan_Statistical_Area', y = '2023_Estimate', data = df.iloc[0:10, :])
x = chart.set_xticklabels(chart.get_xticklabels(), rotation=45, horizontalalignment='right')
plt.title("Metropolitan statistical areas by population (2023 estimate)")
plt.show()

# if Wikipedia is down, you can get the data via the Wayback Machine!
df = pd.read_html('https://web.archive.org/web/20241121222055/https://en.wikipedia.org/wiki/Metropolitan_statistical_area')[2]

print(df.head())

